# Use the official Neo4j image as the base
FROM neo4j:latest

#USER root
# Copy custom neo4j.conf to the image
ENV NEO4J_PLUGINS='["apoc"]'
COPY neo4j.conf /var/lib/neo4j/conf/
ENV NEO4J_dbms_security_procedures_unrestricted=apoc.*


# Install any additional dependencies needed for your Python script
RUN apt-get update && apt-get install -y python3 python3-pip

COPY requirements.txt .
RUN pip3 install -r requirements.txt

ARG TIMEZONE=Europe/Berlin
RUN ln -sf /usr/share/zoneinfo/$TIMEZONE /etc/localtime && \
    echo "$TIMEZONE" > /etc/timezone
    
RUN mkdir /groundingllm
COPY . /groundingllm
WORKDIR /groundingllm
#RUN python3 -m grpc_tools.protoc --python_out=. --proto_path=. --grpc_python_out=. GLLMmodel.proto
RUN chmod 777 /groundingllm/
# Expose the Neo4j ports
EXPOSE 7474 7473 7687 8061 8062

# Connect to the Neo4j database and execute Python script
CMD neo4j console & \
    sleep 10 && \
    python3 server.py && \
    tail -f /dev/null

